<label>Select chart type {{ selectionAllowed() ? '' : '(not allowed)' }}:</label>
<select class="form-control" (change)="onChartTypeChange($event)" [disabled]="!selectionAllowed()">
    <option value="null" disabled>—</option>
    <option value="bar">Bar Chart</option>
    <option value="line">Line Chart</option>
    <option value="pie">Pie Chart</option>
    <option value="doughnut">Doughnut Chart</option>
    <option value="polarArea">Polar Area</option>
    <option value="radar">Radar</option>
    <option value="scatter">Scatter</option>
    <option value="bubble">Bubble</option>
</select>